public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexandre Restovtsev" <tetromino@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gnome:master commit in: x11-libs/gtk+/
Date: Wed,  7 Mar 2012 16:45:31 +0000 (UTC)	[thread overview]
Message-ID: <1331105164.e30f77c5a546119d616f01a0b367dadabc2e3131.tetromino@gentoo> (raw)

commit:     e30f77c5a546119d616f01a0b367dadabc2e3131
Author:     Alexandre Rostovtsev <tetromino <AT> gentoo <DOT> org>
AuthorDate: Wed Mar  7 07:26:04 2012 +0000
Commit:     Alexandre Restovtsev <tetromino <AT> gmail <DOT> com>
CommitDate: Wed Mar  7 07:26:04 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=e30f77c5

x11-libs/gtk+: temporarily restore 3.3.16

gtk+-3.3.18 has highly annoying scrolling bugs, e.g. see
https://bugzilla.gnome.org/show_bug.cgi?id=671523

---
 x11-libs/gtk+/gtk+-3.3.16.ebuild |  206 ++++++++++++++++++++++++++++++++++++++
 1 files changed, 206 insertions(+), 0 deletions(-)

diff --git a/x11-libs/gtk+/gtk+-3.3.16.ebuild b/x11-libs/gtk+/gtk+-3.3.16.ebuild
new file mode 100644
index 0000000..3409613
--- /dev/null
+++ b/x11-libs/gtk+/gtk+-3.3.16.ebuild
@@ -0,0 +1,206 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/gtk+/gtk+-3.2.2-r2.ebuild,v 1.1 2011/12/15 23:46:04 tetromino Exp $
+
+EAPI="4"
+
+inherit eutils flag-o-matic gnome.org gnome2-utils libtool virtualx
+if [[ ${PV} = 9999 ]]; then
+	inherit gnome2-live
+fi
+
+DESCRIPTION="Gimp ToolKit +"
+HOMEPAGE="http://www.gtk.org/"
+
+LICENSE="LGPL-2"
+SLOT="3"
+# NOTE: This gtk+ has multi-gdk-backend support, see:
+#  * http://blogs.gnome.org/kris/2010/12/29/gdk-3-0-on-mac-os-x/
+#  * http://mail.gnome.org/archives/gtk-devel-list/2010-November/msg00099.html
+# I tried this and got it all compiling, but the end result is unusable as it
+# horribly mixes up the backends -- grobian
+IUSE="aqua colord cups debug doc examples +introspection packagekit test vim-syntax xinerama"
+if [[ ${PV} = 9999 ]]; then
+	KEYWORDS=""
+else
+	KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+# FIXME: introspection data is built against system installation of gtk+:3
+# NOTE: cairo[svg] dep is due to bug 291283 (not patched to avoid eautoreconf)
+# Use gtk+:2 for gtk-update-icon-cache and gtk-builder-convert
+# >=x11-libs/gtk+-2.24:2 is needed for bug 359555
+COMMON_DEPEND="!aqua? (
+		x11-libs/libXrender
+		x11-libs/libX11
+		x11-libs/libXi
+		x11-libs/libXt
+		x11-libs/libXext
+		>=x11-libs/libXrandr-1.3
+		x11-libs/libXcursor
+		x11-libs/libXfixes
+		x11-libs/libXcomposite
+		x11-libs/libXdamage
+		>=x11-libs/cairo-1.10.0[X,glib,svg]
+		>=x11-libs/gdk-pixbuf-2.25.2:2[X,introspection?]
+	)
+	aqua? (
+		>=x11-libs/cairo-1.10.0[aqua,glib,svg]
+		>=x11-libs/gdk-pixbuf-2.25.2:2[introspection?]
+	)
+	xinerama? ( x11-libs/libXinerama )
+	>=dev-libs/glib-2.31.18
+	>=x11-libs/pango-1.29.0[introspection?]
+	>=dev-libs/atk-2.1.5[introspection?]
+	>=x11-libs/gtk+-2.24:2
+	media-libs/fontconfig
+	x11-misc/shared-mime-info
+	colord? ( >=x11-misc/colord-0.1.9 )
+	cups? ( net-print/cups )
+	introspection? ( >=dev-libs/gobject-introspection-0.10.1 )"
+DEPEND="${COMMON_DEPEND}
+	>=dev-util/pkgconfig-0.9
+	!aqua? (
+		x11-proto/xextproto
+		x11-proto/xproto
+		x11-proto/inputproto
+		x11-proto/damageproto
+	)
+	xinerama? ( x11-proto/xineramaproto )
+	>=dev-util/gtk-doc-am-1.11
+	doc? (
+		>=dev-util/gtk-doc-1.11
+		~app-text/docbook-xml-dtd-4.1.2 )
+	test? (
+		media-fonts/font-misc-misc
+		media-fonts/font-cursor-misc )"
+# gtk+-3.2.2 breaks Alt key handling in <=x11-libs/vte-0.30.1:2.90
+RDEPEND="${COMMON_DEPEND}
+	!<gnome-base/gail-1000
+	!<x11-libs/vte-0.30.1-r1:2.90
+	packagekit? ( app-admin/packagekit-base )"
+PDEPEND="vim-syntax? ( app-vim/gtk-syntax )"
+
+strip_builddir() {
+	local rule=$1
+	shift
+	local directory=$1
+	shift
+	sed -e "s/^\(${rule} =.*\)${directory}\(.*\)$/\1\2/" -i $@ \
+		|| die "Could not strip director ${directory} from build."
+}
+
+src_prepare() {
+	# -O3 and company cause random crashes in applications. Bug #133469
+	replace-flags -O3 -O2
+	strip-flags
+
+	# Non-working test in gentoo's env
+	sed 's:\(g_test_add_func ("/ui-tests/keys-events.*\):/*\1*/:g' \
+		-i gtk/tests/testing.c || die "sed 1 failed"
+	sed '\%/recent-manager/add%,/recent_manager_purge/ d' \
+		-i gtk/tests/recentmanager.c || die "sed 2 failed"
+
+	# FIXME: multiple reftests fail when run from portage (but succeed when
+	# run from a manual compile in a temp directory)
+	sed -e 's:\(SUBDIRS.*\)reftests:\1:' \
+		-i tests/Makefile.* || die "sed 3 failed"
+
+	# Test results depend on the list of mounted filesystems!
+	rm -v tests/a11y/pickers.{ui,txt} || die "rm failed"
+
+	if ! use test; then
+		# don't waste time building tests
+		strip_builddir SRC_SUBDIRS tests Makefile.am
+		[[ ${PV} != 9999 ]] && strip_builddir SRC_SUBDIRS tests Makefile.in
+	fi
+
+	if ! use examples; then
+		# don't waste time building demos
+		strip_builddir SRC_SUBDIRS demos Makefile.am
+		[[ ${PV} != 9999 ]] && strip_builddir SRC_SUBDIRS demos Makefile.in
+	fi
+
+	[[ ${PV} = 9999 ]] && gnome2_src_prepare
+}
+
+src_configure() {
+	local myconf="$(use_enable doc gtk-doc)
+		$(use_enable xinerama)
+		$(use_enable packagekit)
+		$(use_enable cups cups auto)
+		$(use_enable colord)
+		$(use_enable introspection)
+		--disable-papi
+		--enable-gtk2-dependency"
+
+	# XXX: Maybe with multi-backend we should enable x11 all the time?
+	if use aqua; then
+		myconf="${myconf} --enable-quartz-backend --disable-xinput"
+	else
+		myconf="${myconf} --enable-x11-backend --enable-xinput"
+	fi
+
+	# Passing --disable-debug is not recommended for production use
+	use debug && myconf="${myconf} --enable-debug=yes"
+
+	# need libdir here to avoid a double slash in a path that libtool doesn't
+	# grok so well during install (// between $EPREFIX and usr ...)
+	econf --libdir="${EPREFIX}/usr/$(get_libdir)" ${myconf}
+}
+
+src_test() {
+	# Tests require a new gnome-themes-standard, but adding it to DEPEND
+	# would result in circular dependencies.
+	# https://bugzilla.gnome.org/show_bug.cgi?id=669562
+	if ! has_version '>=x11-themes/gnome-themes-standard-3.3.91'; then
+		ewarn "Tests will be skipped beecause >=gnome-themes-standard-3.3.90"
+		ewarn "is not installed. Please re-run tests after installing the"
+		ewarn "required version of gnome-themes-standard."
+		return 0
+	fi
+	unset DBUS_SESSION_BUS_ADDRESS
+	# Exporting HOME fixes tests using XDG directories spec since all defaults
+	# are based on $HOME. It is also backward compatible with functions not
+	# yet ported to this spec.
+	XDG_DATA_HOME="${T}" HOME="${T}" Xemake check || die "tests failed"
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+
+	insinto /etc/gtk-3.0
+	doins "${FILESDIR}"/settings.ini
+
+	dodoc AUTHORS ChangeLog* HACKING NEWS* README*
+
+	# Remove unneeded *.la files
+	find "${D}" -name '*.la' -exec rm -f {} +
+
+	# add -framework Carbon to the .pc files
+	use aqua && for i in gtk+-3.0.pc gtk+-quartz-3.0.pc gtk+-unix-print-3.0.pc; do
+		sed -i -e "s:Libs\: :Libs\: -framework Carbon :" "${ED}"usr/$(get_libdir)/pkgconfig/$i || die "sed failed"
+	done
+}
+
+pkg_preinst() {
+	gnome2_schemas_savelist
+}
+
+pkg_postinst() {
+	gnome2_schemas_update
+
+	local GTK3_MODDIR="${EROOT}usr/$(get_libdir)/gtk-3.0/3.0.0"
+	gtk-query-immodules-3.0  > "${GTK3_MODDIR}/immodules.cache" \
+		|| ewarn "Failed to run gtk-query-immodules-3.0"
+
+	if ! has_version "app-text/evince"; then
+		elog "Please install app-text/evince for print preview functionality."
+		elog "Alternatively, check \"gtk-print-preview-command\" documentation and"
+		elog "add it to your settings.ini file."
+	fi
+}
+
+pkg_postrm() {
+	gnome2_schemas_update
+}



             reply	other threads:[~2012-03-07 16:45 UTC|newest]

Thread overview: 57+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-03-07 16:45 Alexandre Restovtsev [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-01-12 14:59 [gentoo-commits] proj/gnome:master commit in: x11-libs/gtk+/ Dennis Lamm
2016-04-09  9:48 Ole Reifschneider
2016-03-25  0:56 Ole Reifschneider
2015-10-11 20:46 Ole Reifschneider
2015-06-09  9:16 Gilles Dartiguelongue
2015-05-25  2:23 Alexandre Rostovtsev
2015-05-14 13:39 Gilles Dartiguelongue
2015-05-12 19:31 Gilles Dartiguelongue
2015-04-25 18:52 Alexandre Rostovtsev
2014-12-14 22:46 Gilles Dartiguelongue
2014-12-14 22:46 Gilles Dartiguelongue
2014-11-23 23:51 Remi Cardona
2014-11-23 23:51 Remi Cardona
2014-11-03 23:24 Gilles Dartiguelongue
2014-10-25 21:07 Gilles Dartiguelongue
2014-10-13 21:51 Gilles Dartiguelongue
2014-04-25 23:35 Gilles Dartiguelongue
2014-04-22 21:27 Gilles Dartiguelongue
2014-04-20 18:17 Gilles Dartiguelongue
2014-02-12 23:48 Gilles Dartiguelongue
2013-12-22 20:26 Gilles Dartiguelongue
2013-12-18 19:16 Priit Laes
2013-12-12 23:20 Gilles Dartiguelongue
2013-12-02 15:30 Priit Laes
2013-12-01 14:28 Gilles Dartiguelongue
2013-03-20  5:55 Priit Laes
2013-03-08 14:39 Priit Laes
2012-10-10  7:51 Alexandre Rostovtsev
2012-09-22 15:54 Nirbheek Chauhan
2012-09-10  6:22 Nirbheek Chauhan
2012-09-05 16:43 Nirbheek Chauhan
2012-09-05 15:48 Nirbheek Chauhan
2012-07-22  4:41 Priit Laes
2012-07-13 10:21 Priit Laes
2012-05-06 18:15 Alexandre Restovtsev
2012-03-14  4:48 Alexandre Restovtsev
2012-03-08 18:19 Alexandre Restovtsev
2012-03-07  0:32 Alexandre Restovtsev
2012-02-08  7:52 Priit Laes
2012-02-03  8:32 Priit Laes
2012-01-23 21:29 Priit Laes
2012-01-23 19:23 Priit Laes
2012-01-17 11:30 Priit Laes
2012-01-11  4:36 Nirbheek Chauhan
2011-12-25  0:43 Nirbheek Chauhan
2011-12-14 19:51 Alexandre Restovtsev
2011-10-21 19:25 Alexandre Restovtsev
2011-10-06 11:51 Alexandre Restovtsev
2011-04-05  0:57 Nirbheek Chauhan
2011-03-26  1:58 Nirbheek Chauhan
2011-03-23 22:24 Nirbheek Chauhan
2011-03-22  1:18 Nirbheek Chauhan
2011-03-19 23:23 Nirbheek Chauhan
2011-02-22  0:31 Nirbheek Chauhan
2011-02-12  9:30 Nirbheek Chauhan
2011-02-12  9:30 Nirbheek Chauhan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1331105164.e30f77c5a546119d616f01a0b367dadabc2e3131.tetromino@gentoo \
    --to=tetromino@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox